import * as $dara from '@darabonba/typescript';
import { JoinResourceGroupResponseBody } from "./JoinResourceGroupResponseBody";
export declare class JoinResourceGroupResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: JoinResourceGroupResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
